OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.VertexAttribBinding

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBVertexAttribBinding :: MonadIO m => m Bool
- gl_ARB_vertex_attrib_binding :: Bool
- gl_MAX_VERTEX_ATTRIB_BINDINGS :: GLenum
- gl_MAX_VERTEX_ATTRIB_RELATIVE_OFFSET :: GLenum
- gl_VERTEX_ATTRIB_BINDING :: GLenum
- gl_VERTEX_ATTRIB_RELATIVE_OFFSET :: GLenum
- gl_VERTEX_BINDING_DIVISOR :: GLenum
- gl_VERTEX_BINDING_OFFSET :: GLenum
- gl_VERTEX_BINDING_STRIDE :: GLenum
- glBindVertexBuffer :: MonadIO m => GLuint -> GLuint -> GLintptr -> GLsizei -> m ()
- glVertexAttribBinding :: MonadIO m => GLuint -> GLuint -> m ()
- glVertexAttribFormat :: MonadIO m => GLuint -> GLint -> GLenum -> GLboolean -> GLuint -> m ()
- glVertexAttribIFormat :: MonadIO m => GLuint -> GLint -> GLenum -> GLuint -> m ()
- glVertexAttribLFormat :: MonadIO m => GLuint -> GLint -> GLenum -> GLuint -> m ()
- glVertexBindingDivisor :: MonadIO m => GLuint -> GLuint -> m ()

# Extension Support

glGetARBVertexAttribBinding :: MonadIO m => m Bool

Is the ARB_vertex_attrib_binding extension supported?

gl_ARB_vertex_attrib_binding :: Bool

Is the ARB_vertex_attrib_binding extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBVertexAttribBinding` in those cases instead.

# Enums

gl_MAX_VERTEX_ATTRIB_BINDINGS :: GLenum

gl_MAX_VERTEX_ATTRIB_RELATIVE_OFFSET :: GLenum

gl_VERTEX_ATTRIB_BINDING :: GLenum

gl_VERTEX_ATTRIB_RELATIVE_OFFSET :: GLenum

gl_VERTEX_BINDING_DIVISOR :: GLenum

gl_VERTEX_BINDING_OFFSET :: GLenum

gl_VERTEX_BINDING_STRIDE :: GLenum

# Functions

glBindVertexBuffer

Arguments

:: MonadIO m |
=> GLuint | `bindingindex`.
-> GLuint | `buffer`.
-> GLintptr | `offset` of type `BufferOffset`.
-> GLsizei | `stride`.
-> m () |

Manual page for OpenGL 4.x.

glVertexAttribBinding

Arguments

:: MonadIO m |
=> GLuint | `attribindex`.
-> GLuint | `bindingindex`.
-> m () |

Manual page for OpenGL 4.x.

glVertexAttribFormat

Arguments

:: MonadIO m |
=> GLuint | `attribindex`.
-> GLint | `size`.
-> GLenum | `type`.
-> GLboolean | `normalized` of type Boolean.
-> GLuint | `relativeoffset`.
-> m () |

Manual page for OpenGL 4.x.

glVertexAttribIFormat

Arguments

:: MonadIO m |
=> GLuint | `attribindex`.
-> GLint | `size`.
-> GLenum | `type`.
-> GLuint | `relativeoffset`.
-> m () |

Manual page for OpenGL 4.x.

glVertexAttribLFormat

Arguments

:: MonadIO m |
=> GLuint | `attribindex`.
-> GLint | `size`.
-> GLenum | `type`.
-> GLuint | `relativeoffset`.
-> m () |

Manual page for OpenGL 4.x.

glVertexBindingDivisor

Arguments

:: MonadIO m |
=> GLuint | `bindingindex`.
-> GLuint | `divisor`.
-> m () |

Manual page for OpenGL 4.x.